org.objectweb.util.ant

## Class DependencyAnalyzer.Group

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.MatchingTask
      - - org.objectweb.util.ant.DependencyAnalyzer.Group

All Implemented Interfaces:
  Cloneable, org.apache.tools.ant.types.selectors.SelectorContainer

Enclosing class:
  DependencyAnalyzer

    public class DependencyAnalyzer.Group
    extends org.apache.tools.ant.taskdefs.MatchingTask

### Field Summary

Fields
`Map` `dependencies` Map<Group, Map<String className, List<String className>>>
`String` `name`

### Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask

`fileset`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`DependencyAnalyzer.Group()`

### Method Summary

Methods
`Collection` `getSelectedFiles()`
`void` `setDir(File d)`
`void` `setFilter(String filterClass)`
`void` `setName(String n)`
`void` `toString(StringBuffer sb, String t0)`
`void` `toXml(Document doc, Element parent)`

### Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask

`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, execute, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public String name

#### dependencies

    public Map dependencies

Map<Group, Map<String className, List<String className>>>

### Constructor Detail

#### DependencyAnalyzer.Group

    public DependencyAnalyzer.Group()

### Method Detail

#### setName

    public void setName(String n)

#### setFilter

    public void setFilter(String filterClass)

#### setDir

    public void setDir(File d)

#### getSelectedFiles

    public Collection getSelectedFiles()

#### toString

    public void toString(StringBuffer sb,
                String t0)

#### toXml

    public void toXml(Document doc,
             Element parent)